xine-lib: _INSTRUCTION Struct Reference

xine-lib 1.2.12

Data Fields
_INSTRUCTION Struct Reference

`#include <goomsl_private.h>`

## Data Fields
int | id
InstructionData | data
GoomSL * | parent
const char * | name
char ** | params
GoomHash ** | vnamespace
int * | types
int | cur_param
int | nb_param
int | address
char * | jump_label
char * | nop_label
int | line_number

## Field Documentation

## ◆ address

int _INSTRUCTION::address

Referenced by calculate_labels(), and iflow_add_instr().

## ◆ cur_param

int _INSTRUCTION::cur_param

Referenced by gsl_instr_add_param(), gsl_instr_display(), gsl_instr_free(), gsl_instr_init(), and gsl_instr_set_namespace().

## ◆ data

InstructionData _INSTRUCTION::data

Referenced by calculate_labels(), gsl_create_fast_iflow(), gsl_instr_validate(), validate_v_f(), validate_v_i(), validate_v_p(), and validate_v_v().

## ◆ id

int _INSTRUCTION::id

Referenced by calculate_labels(), gsl_create_fast_iflow(), gsl_instr_add_param(), gsl_instr_init(), gsl_instr_validate(), and validate().

## ◆ jump_label

char* _INSTRUCTION::jump_label

Referenced by calculate_labels(), gsl_create_fast_iflow(), gsl_instr_init(), and gsl_instr_validate().

## ◆ line_number

int _INSTRUCTION::line_number

Referenced by calculate_labels(), gsl_instr_init(), gsl_instr_set_namespace(), and gsl_instr_validate().

## ◆ name

const char* _INSTRUCTION::name

Referenced by gsl_instr_display(), and gsl_instr_init().

## ◆ nb_param

int _INSTRUCTION::nb_param

Referenced by gsl_instr_display(), gsl_instr_init(), and gsl_instr_validate().

## ◆ nop_label

char* _INSTRUCTION::nop_label

Referenced by calculate_labels(), gsl_create_fast_iflow(), and gsl_instr_validate().

## ◆ params

char** _INSTRUCTION::params

Referenced by gsl_instr_add_param(), gsl_instr_display(), gsl_instr_free(), gsl_instr_init(), gsl_instr_validate(), validate_v_f(), validate_v_i(), validate_v_p(), and validate_v_v().

## ◆ parent

GoomSL* _INSTRUCTION::parent

Referenced by gsl_instr_add_param(), gsl_instr_init(), and gsl_instr_validate().

## ◆ types

int* _INSTRUCTION::types

Referenced by gsl_instr_add_param(), gsl_instr_free(), gsl_instr_init(), gsl_instr_validate(), and validate().

## ◆ vnamespace

GoomHash** _INSTRUCTION::vnamespace

Referenced by gsl_instr_init(), gsl_instr_set_namespace(), gsl_instr_validate(), validate_v_f(), validate_v_i(), validate_v_p(), and validate_v_v().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/post/goom/goomsl_private.h